Bug 1451626 - Not able to delete compute resource
Summary: Not able to delete compute resource
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources
Version: 6.3.0
Hardware: x86_64
OS: Linux
unspecified
high vote
Target Milestone: Unspecified
Assignee: Daniel Lobato Garcia
QA Contact: Kedar Bidarkar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-17 08:01 UTC by Djebran Lezzoum
Modified: 2019-04-01 20:26 UTC (History)
8 users (show)

Fixed In Version: foreman-1.15.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:51:07 UTC
Target Upstream Version:


Attachments (Terms of Use)
Error screenshot after click on delete button (57.50 KB, image/png)
2017-05-17 08:01 UTC, Djebran Lezzoum
no flags Details
forman-debug output archive (861.63 KB, application/octet-stream)
2017-05-17 11:45 UTC, Djebran Lezzoum
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 19631 High Closed ActiveRecord::RecordNotSaved when deleting compute resources with key pairs 2019-12-19 15:33:03 UTC

Description Djebran Lezzoum 2017-05-17 08:01:57 UTC
Created attachment 1279564 [details]
Error screenshot after click on delete button

Description of problem:
Not able to delete compute resource

Version-Release number of selected component (if applicable):
* candlepin-2.0.30-1.el7.noarch
* candlepin-selinux-2.0.30-1.el7.noarch
* foreman-1.15.0-0.1.RC2.el7sat.noarch
* foreman-compute-1.15.0-0.1.RC2.el7sat.noarch
* foreman-debug-1.15.0-0.1.RC2.el7sat.noarch
* foreman-ec2-1.15.0-0.1.RC2.el7sat.noarch
* foreman-gce-1.15.0-0.1.RC2.el7sat.noarch
* foreman-installer-1.15.0-0.develop.201703100324gitb570b53.el7sat.noarch
* foreman-installer-katello-3.5.0-1.nightly.201703312206git730de81.el7sat.noarch
* foreman-libvirt-1.15.0-0.1.RC2.el7sat.noarch
* foreman-openstack-1.15.0-0.1.RC2.el7sat.noarch
* foreman-ovirt-1.15.0-0.1.RC2.el7sat.noarch
* foreman-postgresql-1.15.0-0.1.RC2.el7sat.noarch
* foreman-proxy-1.15.0-0.1.RC2.el7sat.noarch
* foreman-rackspace-1.15.0-0.1.RC2.el7sat.noarch
* foreman-selinux-1.15.0-0.1.RC2.el7sat.noarch
* foreman-vmware-1.15.0-0.1.RC2.el7sat.noarch
* katello-3.4.0-1.rc2.el7sat.noarch
* katello-ca-consumer-sat-r220-02.lab.eng.rdu2.redhat.com-1.0-1.noarch
* katello-certs-tools-2.4.0-1.el7sat.noarch
* katello-client-bootstrap-1.3.0-1.el7sat.noarch
* katello-common-3.4.0-1.rc2.el7sat.noarch
* katello-debug-3.4.0-1.rc2.el7sat.noarch
* katello-default-ca-1.0-1.noarch
* katello-installer-base-3.5.0-1.nightly.201703312206git730de81.el7sat.noarch
* katello-selinux-3.0.2-1.el7sat.noarch
* katello-server-ca-1.0-1.noarch
* katello-service-3.4.0-1.rc2.el7sat.noarch
* openldap-2.4.40-13.el7.x86_64
* pulp-client-1.0-1.noarch
* pulp-docker-plugins-2.3.0-1.git.0.02c948c.el7sat.noarch
* pulp-katello-1.0.2-1.el7sat.noarch
* pulp-puppet-plugins-2.12.1-1.git.0.1aeb10f.el7sat.noarch
* pulp-puppet-tools-2.12.1-1.git.0.1aeb10f.el7sat.noarch
* pulp-rpm-plugins-2.12.1-1.el7sat.noarch
* pulp-selinux-2.12.1-1.git.0.b41b7ba.el7sat.noarch
* pulp-server-2.12.1-1.git.0.b41b7ba.el7sat.noarch
* python-ldap-2.4.15-2.el7.x86_64
* tfm-rubygem-ldap_fluff-0.4.6-1.el7sat.noarch
* tfm-rubygem-net-ldap-0.15.0-1.el7sat.noarch


How reproducible:
Always

Steps to Reproduce:
1.goto Infrastructure>Compute resources 
2.Create a compute resource
3.goto Infrastructure>Compute resources 
4.delete the created compute resource  

Actual results:
Error message page displayed:
"Oops, we're sorry but something went wrong You cannot call create unless the parent is saved"

Expected results:
The compute resource deleted successfully

Additional info:
in 6.2.9 the functionality is working as expected

Comment 1 Marek Hulan 2017-05-17 08:28:05 UTC
Thanks for the report, please upload production.log or the whole foreman-debug output, thank you. Does it happen for any compute resource type?

Comment 2 Djebran Lezzoum 2017-05-17 11:45:37 UTC
Created attachment 1279658 [details]
forman-debug output archive

Comment 3 Djebran Lezzoum 2017-05-17 11:49:03 UTC
Marek Hulan: this happen for AWS EC2
when tried with RHEV, the compute resource was deleted successfully

Comment 4 Ondřej Pražák 2017-05-23 11:36:58 UTC
Created redmine issue http://projects.theforeman.org/issues/19631 from this bug

Comment 5 pm-sat@redhat.com 2017-05-25 12:05:58 UTC
Upstream bug assigned to dlobatog@redhat.com

Comment 6 pm-sat@redhat.com 2017-05-25 12:06:02 UTC
Upstream bug assigned to dlobatog@redhat.com

Comment 9 pm-sat@redhat.com 2017-06-05 12:05:52 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/19631 has been resolved.

Comment 10 Kedar Bidarkar 2017-08-26 21:37:33 UTC
2017-08-26 17:34:48 bfe43958 [app] [I] Started DELETE "/compute_resources/4-ec2_provider" for 10.67.116.13 at 2017-08-26 17:34:48 -0400
2017-08-26 17:34:48 bfe43958 [app] [I] Processing by ComputeResourcesController#destroy as HTML
2017-08-26 17:34:48 bfe43958 [app] [I]   Parameters: {"authenticity_token"=>"wkjXAcmFpgn62P55Pydc7CNd6T5gDNu0egZ9ohCng/H7puI+Cl8ouDxVTtGyGAm/xn9hBR3D17Of6MDYqSXgvg==", "id"=>"4-ec2_provider"}
2017-08-26 17:34:48 bfe43958 [app] [I] Current user: admin (administrator)
2017-08-26 17:34:49 bfe43958 [app] [I] Redirected to https://qe-sat6-feature-rhel7.satqe.lab.eng.rdu2.redhat.com/compute_resources
2017-08-26 17:34:49 bfe43958 [app] [I] Completed 302 Found in 472ms (ActiveRecord: 25.7ms)


Created EC2 compute resource and then deleted it successfullu

VERIFIED with sat6.3.0-snap13.0

Comment 11 Bryan Kearney 2018-02-21 16:43:31 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 12 pm-sat@redhat.com 2018-02-21 16:51:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.